Bug 256259 - www/py-scrapy: Update to 2.5.0
Summary: www/py-scrapy: Update to 2.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Danilo G. Baio
URL: https://docs.scrapy.org/en/latest/new...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-30 11:30 UTC by Danilo G. Baio
Modified: 2021-06-26 16:49 UTC (History)
1 user (show)

See Also:
dbaio: maintainer-feedback+


Attachments
py-scrapy-2.5.0.patch (4.41 KB, patch)
2021-05-30 11:30 UTC, Danilo G. Baio
dbaio: maintainer-approval? (skreuzer)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo G. Baio freebsd_committer 2021-05-30 11:30:37 UTC
Created attachment 225370 [details]
py-scrapy-2.5.0.patch

This patch updates scrapy to 2.5.0 and remove/disable the experimental HTTP/2 support, there are issues with Twisted and h2 at this moment which breaks scrapy.

I'm using this version on Portsfallout.
https://portsfallout.com/
https://github.com/dbaio/portsfallout/blob/master/scripts/pkgfallout_scrapy_spider.py

Regards.
Comment 1 Danilo G. Baio freebsd_committer 2021-06-26 16:37:46 UTC
maintainer timeout
Comment 2 commit-hook freebsd_committer 2021-06-26 16:48:30 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a9ed9dd7a32fd90be5a71024854bb5a6197ac837

commit a9ed9dd7a32fd90be5a71024854bb5a6197ac837
Author:     Danilo G. Baio <dbaio@FreeBSD.org>
AuthorDate: 2021-06-26 16:43:12 +0000
Commit:     Danilo G. Baio <dbaio@FreeBSD.org>
CommitDate: 2021-06-26 16:46:42 +0000

    www/py-scrapy: Update to 2.5.0

    Changelog:      https://docs.scrapy.org/en/latest/news.html?highlight=news#scrapy-2-5-0-2021-04-06

    This also removes/disables the experimental HTTP/2 support, there are
    issues with Twisted and h2 at this moment which breaks scrapy.

    PR:             256259
    Approved by:    maintainer timeout (skreuzer)

 www/py-scrapy/Makefile                   | 32 ++++++++++++++++++--------------
 www/py-scrapy/distinfo                   |  6 +++---
 www/py-scrapy/files/patch-setup.py (new) | 19 +++++++++++++++++++
 www/py-scrapy/pkg-descr                  |  6 +++---
 4 files changed, 43 insertions(+), 20 deletions(-)